import { AxiosError } from "axios";
import * as plotly from "plotly.js-dist-min";
import { PlotType } from "../apiClient";
export declare const usePlot: ({ numCompletedTrials, studyId, plotType, }: {
    numCompletedTrials: number;
    studyId: number | undefined;
    plotType: PlotType;
}) => {
    data: plotly.Data[] | undefined;
    layout: {
        template: Partial<plotly.Template>;
        colorway?: string[] | undefined;
        title?: string | Partial<{
            text: string;
            font: Partial<plotly.Font>;
            xref: "container" | "paper";
            yref: "container" | "paper";
            x: number;
            y: number;
            xanchor: "auto" | "center" | "left" | "right";
            yanchor: "auto" | "top" | "bottom" | "middle";
            pad: Partial<plotly.Padding>;
        }> | undefined;
        titlefont?: Partial<plotly.Font> | undefined;
        autosize?: boolean | undefined;
        showlegend?: boolean | undefined;
        paper_bgcolor?: plotly.Color | undefined;
        plot_bgcolor?: plotly.Color | undefined;
        separators?: string | undefined;
        hidesources?: boolean | undefined;
        xaxis?: Partial<plotly.LayoutAxis> | undefined;
        xaxis2?: Partial<plotly.LayoutAxis> | undefined;
        xaxis3?: Partial<plotly.LayoutAxis> | undefined;
        xaxis4?: Partial<plotly.LayoutAxis> | undefined;
        xaxis5?: Partial<plotly.LayoutAxis> | undefined;
        xaxis6?: Partial<plotly.LayoutAxis> | undefined;
        xaxis7?: Partial<plotly.LayoutAxis> | undefined;
        xaxis8?: Partial<plotly.LayoutAxis> | undefined;
        xaxis9?: Partial<plotly.LayoutAxis> | undefined;
        yaxis?: Partial<plotly.LayoutAxis> | undefined;
        yaxis2?: Partial<plotly.LayoutAxis> | undefined;
        yaxis3?: Partial<plotly.LayoutAxis> | undefined;
        yaxis4?: Partial<plotly.LayoutAxis> | undefined;
        yaxis5?: Partial<plotly.LayoutAxis> | undefined;
        yaxis6?: Partial<plotly.LayoutAxis> | undefined;
        yaxis7?: Partial<plotly.LayoutAxis> | undefined;
        yaxis8?: Partial<plotly.LayoutAxis> | undefined;
        yaxis9?: Partial<plotly.LayoutAxis> | undefined;
        margin?: Partial<plotly.Margin> | undefined;
        height?: number | undefined;
        width?: number | undefined;
        hovermode?: false | "x" | "y" | "closest" | "x unified" | "y unified" | undefined;
        hoverdistance?: number | undefined;
        hoverlabel?: Partial<plotly.HoverLabel> | undefined;
        calendar?: plotly.Calendar | undefined;
        "xaxis.range"?: [plotly.Datum, plotly.Datum] | undefined;
        "xaxis.range[0]"?: plotly.Datum | undefined;
        "xaxis.range[1]"?: plotly.Datum | undefined;
        "yaxis.range"?: [plotly.Datum, plotly.Datum] | undefined;
        "yaxis.range[0]"?: plotly.Datum | undefined;
        "yaxis.range[1]"?: plotly.Datum | undefined;
        "yaxis.type"?: plotly.AxisType | undefined;
        "xaxis.type"?: plotly.AxisType | undefined;
        "xaxis.autorange"?: boolean | undefined;
        "yaxis.autorange"?: boolean | undefined;
        "xaxis.title"?: string | undefined;
        "yaxis.title"?: string | undefined;
        ternary?: {} | undefined;
        geo?: {} | undefined;
        mapbox?: Partial<plotly.Mapbox> | undefined;
        subplot?: string | undefined;
        radialaxis?: Partial<plotly.Axis> | undefined;
        angularaxis?: {} | undefined;
        dragmode?: false | "pan" | "select" | "lasso" | "zoom" | "orbit" | "turntable" | undefined;
        orientation?: number | undefined;
        annotations?: Partial<plotly.Annotations>[] | undefined;
        shapes?: Partial<plotly.Shape>[] | undefined;
        images?: Partial<plotly.Image>[] | undefined;
        updatemenus?: Partial<plotly.UpdateMenu>[] | undefined;
        sliders?: Partial<plotly.Slider>[] | undefined;
        legend?: Partial<plotly.Legend> | undefined;
        font?: Partial<plotly.Font> | undefined;
        scene?: Partial<plotly.Scene> | undefined;
        scene2?: Partial<plotly.Scene> | undefined;
        scene3?: Partial<plotly.Scene> | undefined;
        scene4?: Partial<plotly.Scene> | undefined;
        scene5?: Partial<plotly.Scene> | undefined;
        scene6?: Partial<plotly.Scene> | undefined;
        scene7?: Partial<plotly.Scene> | undefined;
        scene8?: Partial<plotly.Scene> | undefined;
        scene9?: Partial<plotly.Scene> | undefined;
        barmode?: "overlay" | "group" | "stack" | "relative" | undefined;
        barnorm?: "" | "percent" | "fraction" | undefined;
        bargap?: number | undefined;
        bargroupgap?: number | undefined;
        boxmode?: "overlay" | "group" | undefined;
        selectdirection?: "d" | "v" | "h" | "any" | undefined;
        hiddenlabels?: string[] | undefined;
        grid?: Partial<{
            rows: number;
            roworder: "top to bottom" | "bottom to top";
            columns: number;
            subplots: string[];
            xaxes: string[];
            yaxes: string[];
            pattern: "independent" | "coupled";
            xgap: number;
            ygap: number;
            domain: Partial<{
                x: number[];
                y: number[];
            }>;
            xside: "top" | "bottom" | "bottom plot" | "top plot";
            yside: "left" | "right" | "left plot" | "right plot";
        }> | undefined;
        polar?: Partial<plotly.PolarLayout> | undefined;
        polar2?: Partial<plotly.PolarLayout> | undefined;
        polar3?: Partial<plotly.PolarLayout> | undefined;
        polar4?: Partial<plotly.PolarLayout> | undefined;
        polar5?: Partial<plotly.PolarLayout> | undefined;
        polar6?: Partial<plotly.PolarLayout> | undefined;
        polar7?: Partial<plotly.PolarLayout> | undefined;
        polar8?: Partial<plotly.PolarLayout> | undefined;
        polar9?: Partial<plotly.PolarLayout> | undefined;
        transition?: plotly.Transition | undefined;
        clickmode?: "none" | "select" | "event" | "event+select" | undefined;
        uirevision?: string | number | undefined;
        uid?: string | undefined;
        datarevision?: string | number | undefined;
        editrevision?: string | number | undefined;
        selectionrevision?: string | number | undefined;
        modebar?: Partial<plotly.ModeBar> | undefined;
    };
    isLoading: boolean;
    error: AxiosError<unknown, any> | null;
};
